Article ID : 00182761 / Last Modified : 16/08/2017

Gracenote® Security Update

Applicable Products and Categories of This Article

2006-10-17
Recently, a security vulnerability has been found within a limited number of Sony's Software applications. To date neither Sony nor Gracenote has received reports of any customers being affected by this issue. However, we take all security issues very seriously and are therefore providing information about this Gracenote® update to address the issue.

What is the issue?
A security vulnerability(also known as a "buffer overflow") has been found to exist in certain versions of an ActiveX® control for the CD Information Retrieval Service provided by Gracenote that is used in certain Sony software applications. This "buffer overflow" vulnerability could allow an attacker to load malicious code onto a user's system and then execute the code.

This issue only affects the Sony software applications listed below. Other Sony software that utilizes Gracenote's CD Database lookup features does not contain this security issue.

Affected Sony Products
VAIO computers and Walkman ® using the following software:
CONNECT Player
SonicStage® Versions 3.3 or 3.4
SonicStage Mastering Studio™ Versions 2.1.00 or 2.2.01

Available Download:
Filename: GracenoteUpdateForSony.exe
Download size: 2.89 MB
Updated on: 2006/06/28

Gracenote is providing the upgrade software on their website. For more detailed information, please click here.